<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [puppeteer](./puppeteer.md) &gt; [BrowserContext](./puppeteer.browsercontext.md) &gt; [overridePermissions](./puppeteer.browsercontext.overridepermissions.md)

## BrowserContext.overridePermissions() method

<b>Signature:</b>

```typescript
overridePermissions(origin: string, permissions: Protocol.Browser.PermissionType[]): Promise<void>;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  origin | string | The origin to grant permissions to, e.g. "https://example.com". |
|  permissions | Protocol.Browser.PermissionType\[\] | An array of permissions to grant. All permissions that are not listed here will be automatically denied. |

<b>Returns:</b>

Promise&lt;void&gt;

## Example


```js
const context = browser.defaultBrowserContext();
await context.overridePermissions('https://html5demos.com', ['geolocation']);

```

